Loading...
Searching...
No Matches
SchemaReverse::TableReverse Class Reference

Structure dump of a table. More...

Inheritance diagram for SchemaReverse::TableReverse:
[legend]

## Public Member Functions

| constructor (AbstractDatasource ds, string name)
hash | toQore ()
| Dedicated functionlity to get DB object info into the internal structure is done here. More...
Public Member Functions inherited from SchemaReverse::AbstractReverseObject
| constructor (AbstractDatasource ds, string name)
Database | database ()
AbstractDatasource | datasource ()
string | name ()
abstract any | toQore ()
| Dedicated functionlity to get DB object info into the internal structure is done here. More...
string | toString ()
| Make a string with Qore code from a structure prepared by AbstractReverseObject::toQore(). More...

## Detailed Description

Structure dump of a table.

## Member Function Documentation

## constructor()

SchemaReverse::TableReverse::constructor | ( | AbstractDatasource | ds,
|  | string | name
| ) |  |

inline

Parameters

  ds | an AbstractDatasource object
  name | a string with exact object name

## toQore()

hash SchemaReverse::TableReverse::toQore | ( |  | ) |

virtual

Dedicated functionlity to get DB object info into the internal structure is done here.

All inherited classes must implement this method to get all required DB metadata in proper format

Implements SchemaReverse::AbstractReverseObject.